Bug 922060 - Review Request: erica - A tool to create CouchDB design docs, and CouchApps
Review Request: erica - A tool to create CouchDB design docs, and CouchApps
Status: CLOSED WONTFIX
Product: Fedora EPEL
Classification: Fedora
Component: Package Review (Show other bugs)
el6
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-15 09:40 EDT by Travis Paul
Modified: 2014-01-16 04:21 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-17 21:15:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Travis Paul 2013-03-15 09:40:05 EDT
Spec URL: https://raw.github.com/TravisPaul/specfiles/master/erica.spec
SRPM URL: http://travispaul.me/erica-0.3.0-1.el6.src.rpm
Description: A tool that helps you to create CouchDB design documents, web applications (CouchApps), and generally get files to CouchDB

Fedora Account System Username: travispaul

Successful koji builds:
dis-6E-epel: https://koji.fedoraproject.org/koji/taskinfo?taskID=5124423
F17: https://koji.fedoraproject.org/koji/taskinfo?taskID=5123372
F18: https://koji.fedoraproject.org/koji/taskinfo?taskID=5124382
 

My name is Travis Paul, I'm a software developer from Fort Wayne, Indiana. This is my first package, and I would appreciate a package review and sponsorship.

I would like to eventually submit some RPMs that I've created internally at my company but thought I would start out with a tool that I use in personal projects to get a feel for the process.

Erica has some static libraries, that seems to be the "norm" for Erlang packages built with Rebar but since static packages are discouraged in Fedora (and agreeably so) I tried to reach out to the Erlang SIG for suggestions via IRC, then Email, but received no response.
I would appreciate some guidance for packaging Erlang apps that use the Rebar build system. Should I patch the source with a custom makefile that uses shared libs?


Thanks
Comment 1 Travis Paul 2013-03-16 09:21:58 EDT
Requesting EPEL Review instead of Fedora
Comment 2 Christopher Meng 2013-11-20 00:30:11 EST
Don't worry, I will package it in the future.

Note You need to log in before you can comment on or make changes to this bug.